Bug 125812 - FILESAVE PPTX Ellipsoid gradient center moves
Summary: FILESAVE PPTX Ellipsoid gradient center moves
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.2.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.0.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX Object-Fill-Gradient
  Show dependency treegraph
 
Reported: 2019-06-09 12:28 UTC by Buovjaga
Modified: 2020-05-26 17:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2019-06-09 12:28:14 UTC
Spun off from bug 116073

1. Open attachment 140198 [details]
2. Save as pptx and reload
3. Double-click to edit chart
4. Select the chart area with left-click
5. Right-click, Format chart area
6. Observe Center (X / Y) has changed from 50 % / 49 % to 30 % / 30 %
Comment 1 Buovjaga 2019-06-09 12:29:14 UTC
Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: 6c31c2b01dd32cc7ba1230f2c4a98b8f7def219b
CPU threads: 8; OS: Linux 5.1; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 5 June 2019
Comment 2 Commit Notification 2020-05-25 09:19:28 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9cbde4be33d82fc822b11394e713b8d2492bcac8

tdf#125812 Chart: fix OOXML export of gradient center

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Buovjaga 2020-05-26 17:38:35 UTC
Thanks, verified!

Arch Linux 64-bit
Version: 7.0.0.0.alpha1+
Build ID: 2dd7c6a441f48a23dcbff1ebe24bdf21666c4ff0
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 26 May 2020